Subject: Re: [RFC] Moving "git remote add --mirror blah" functionality to "git clone --bare --origin=blah"

From: Paolo Bonzini <[email-masked]>
Date: Wed, 23 Apr 2008 22:06:00 +0200

> *1* In that sense, a more sensible order than rewriting "clone" in C in
> its current form would be to make necessary enhancements to the components
> in this sequence that need to implement clone, figure out how they should
> fit together and first make "clone" a four-liner shell script. Then
> rewriting the result in C may become more trivial.

On the other hand, a C version may have the necessary APIs available to 
support this kind of enhancement, but the APIs may not be there for a 
shell script.

It seems useless to have an option in "git remote add" just because it 
might be necessary in a future refactoring of "git clone", but without a 
good use case beside that one -- because right now "git remote add 
--mirror" is close to useless: anyone who needs it 99% of the time knows 
how to hack the config, unlike people who just want a quick way to 
remotely backup of their repository.

Paolo